unit Credtbl;


{Table structure extracted from the *.wri file that came with
 your copy of Excalibur.}

interface

{Table Structure for Credit Info}

Type PCreditData = ^TCreditData;
     TCreditData = Record
{Table: Credit
The Credit table contains all credit requests or purchases via credit card.}
{Field
Type
ID
Description
ID
KEY1
0
Credit Entry ID}
    id: LongInt;
(*----------------------------------------------------*)

{UserID
KEY2
1
The person adding the credit entry  }
    UserId: LongInt;

(*----------------------------------------------------*)
{First
FRST
2
Receiver First name}
    First: Array[0..20] of Char;

(*----------------------------------------------------*)

{Middle
MIDL
3
Receiver Middle name }
    Middle: Array[0..20] of Char;

(*----------------------------------------------------*)

{Last
LAST
4
Receiver Last name}
    Last: Array[0..20] of Char;

(*----------------------------------------------------*)

{Handle
HAND
5
User Handle n  }
    Handle: Array[0..40] of Char;

(*----------------------------------------------------*)

{Expire
DATE
6
Expiration date}
    ExpirationDate: LongInt;

(*----------------------------------------------------*)

{Amount
LONG
7
Amount of the credit charged}
    AmountCredit: LongInt;

(*------------------------------------------------------*)

{Date
DATE
8
Date and time credit was posted
}
   CreditPosted: LongInt;

(*-------------------------------------------------------*)

{Processed
DATE
9
Date and time credit was processed}
  CreditProcessed: LongInt;

(*---------------------------------------------------------*)

{Card
TEXT(21)
10
Credit Card Name}
  CardName: Array[0..20] of Char;

(*---------------------------------------------------------*)


{Number
TEXT(21)
11
Credit Card Number}
  CardNumber: Array[0..20] of Char;

(*-----------------------------------------------------------*)

{Approval
TEXT(11)
12
Approval code from credit card company }
  ApproveCode: Array[0..10] of Char;

(*----------------------------------------------------------*)

{Item
TEXT(41)
13
Item Purchased on credit card }
   ItemPurch: Array[0..40] of Char;

(*----------------------------------------------------------*)

{Holder
TEXT(41)
14
Name of the person holding the credit card}
  CardHolder: Array[0..40] of Char;

(*-----------------------------------------------------------*)

{Address
TEXT(121)
15
Free form address for card holder  }
  HolderAddr: Array[0..120] of Char;

end;

implementation
end.
